<#if renderer == "horizontal">
  <@horizontal page=rootpage showChildren=true/>
</#if>


<#macro horizontal page showChildren>

   <div class="blocks-navigation">
      <div class="blocks-navigation-menu" id="nav-menu">
         <div class="blocks-navigation-menu-body">
            <ul class="blocks-navigation-first-of-type">
            
               <#-- Home Page -->
               <li class='blocks-navigation-topmenuitem'>
                  <#assign href = linkbuilder.page(page.id, context.formatId)>
                  <a class='blocks-navigation-topmenuitem' href='${href}' onmouseover=\"this.style.cursor='hand'\">
                     <#assign divClassName = 'blocks-navigation-topmenuitem'>
                     <#if page.id == context.page.id>
                        <#assign divClassName = 'blocks-navigation-topmenuitem-selected'>
                     </#if>
                     <div class='${divClassName}'>${page.title}</div>
                  </a>
               </li>
               
               <#-- Children of Home Page -->
               <#list sitedata.findChildPages(page.id) as parentPage>
                  <li class='blocks-navigation-topmenuitem'>
                     <#assign href = linkbuilder.page(parentPage.id, context.formatId)>
                     <a class='blocks-navigation-topmenuitem' href='${href}' onmouseover=\"this.style.cursor='hand'\">
                        <#assign divClassName = 'blocks-navigation-topmenuitem'>
                        <#if parentPage.id == context.page.id>
                           <#assign divClassName = 'blocks-navigation-topmenuitem-selected'>
                        </#if>
                        <div class='${divClassName}'>${parentPage.title}</div>
                     </a>

                     <#-- Sub Pages -->
                     <#if showChildren == true>
                        <#list sitedata.findChildPages(parentPage.id) as childPage>
                           <div id='${newId}' class='blocks-navigation-submenu'>
                              <div class='blocks-navigation-submenu'>
                                 <ul>
                                    <li class='blocks-navigation-submenuitem'>
                                       <#assign href = linkbuilder.page(childPage.id, context.formatId)>
                                       <a class='blocks-navigation-submenuitem' href='${href}' onmouseover=\"this.style.cursor='hand'\">
                                          <#assign divClassName = 'blocks-navigation-submenuitem'>
                                          <#if childPage.id == context.page.id>
                                             <#assign divClassName = 'blocks-navigation-submenuitem-selected'>
                                          </#if>
                                          
                                          <div class='${divClassName}'>${page.title}</div>
                                       </a>
                                    </li>
                                 </ul>
                              </div>
                           </div>
                        </#list>
                     </#if>

                  </li>                                    
               </#list>
            </ul>
         </div>
      </div>
   </div>
   
</#macro>
                

